ClarisDrawGraphInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
ClarisDrawGraphInternal::State Struct Reference

Internal: the state of a ClarisDrawGraph. More...

## Public Member Functions
| State ()
| constructor
bool | isEmptyGroup (int gId) const
| returns true if a group does not exist or is empty

## Public Attributes
int | m_numPages
| the number of pages
MWAWVec2f | m_pageDimensions
| the page dimension if known (in point)
int | m_masterId
| the master group id ( in a draw file )
std::vector< Transformation > | m_transformations
| the list of transformation
std::map< int, std::shared_ptr< Group > > | m_groupMap
| a map zoneId -> group
std::map< int, std::shared_ptr< Bitmap > > | m_bitmapMap
| a map zoneId -> group
bool | m_positionsComputed
| true if the ClarisDrawGraph::computePositions was called
int | m_frameId
| the actuel frame id
std::set< int > | m_groupSet
| stack of send group(used avoid infinite loop-

## Detailed Description

Internal: the state of a ClarisDrawGraph.

## Constructor & Destructor Documentation

## ◆ State()

ClarisDrawGraphInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ isEmptyGroup()

bool ClarisDrawGraphInternal::State::isEmptyGroup | ( | int | gId | ) | const
| inline

returns true if a group does not exist or is empty

## Member Data Documentation

## ◆ m_bitmapMap

std::map<int, std::shared_ptr<Bitmap> > ClarisDrawGraphInternal::State::m_bitmapMap

a map zoneId -> group

## ◆ m_frameId

int ClarisDrawGraphInternal::State::m_frameId

the actuel frame id

## ◆ m_groupMap

std::map<int, std::shared_ptr<Group> > ClarisDrawGraphInternal::State::m_groupMap

a map zoneId -> group

Referenced by isEmptyGroup().

## ◆ m_groupSet

std::set<int> ClarisDrawGraphInternal::State::m_groupSet

stack of send group(used avoid infinite loop-

## ◆ m_masterId

int ClarisDrawGraphInternal::State::m_masterId

the master group id ( in a draw file )

## ◆ m_numPages

int ClarisDrawGraphInternal::State::m_numPages

the number of pages

## ◆ m_pageDimensions

MWAWVec2f ClarisDrawGraphInternal::State::m_pageDimensions

the page dimension if known (in point)

## ◆ m_positionsComputed

bool ClarisDrawGraphInternal::State::m_positionsComputed

true if the ClarisDrawGraph::computePositions was called

## ◆ m_transformations

std::vector<Transformation> ClarisDrawGraphInternal::State::m_transformations

the list of transformation

The documentation for this struct was generated from the following file:

- ClarisDrawGraph.cxx